D4Science Infrastructure - Support #11670

PAIM VRE web-app unable to process the shapefile
Apr 18,2018 11:15 AM - Debhsish Bhakta

Status: Closed Start date: Apr 18, 2018
Priority: Urgent Due date: Apr 20, 2018
Assignee: Emmanuel Blondel % Done: 100%
Category: Application Estimated time: 0.00 hour
Infrastructure: Production

Description

The upload shapefile module of PAIM VRE web-app unable to process the shapefile.
| am suspecting the issue may be with garr server, could you please check the associated wps service is up.

Below | have attached a png form web console and also mentioned the details

**The console detail**

This XML file does not appear to have any style information associated with it. The document tree
is shown below.

<ows:ExceptionReport xmlns:ows="http://www.opengis.net/ows/1.1" version="1.0.0">

<ows:Exception exceptionCode="MissingParameterValue" locator="service">
<ows:ExceptionText>Parameter <service> not specified.</ows:ExceptionText>

</ows:Exception>

<ows:Exception exceptionCode="JAVA_StackTrace">

<ows:ExceptionText>

org.n52.wps.server.ExceptionReport: Parameter <service> not specified. at org.n52.wps.server.reque
st .Request.getMapValue (Request.java:105) at org.gcube.data.analysis.wps.RequestHandler.<init> (Requ
estHandler.java:112) at org.gcube.data.analysis.wps.WebProcessingService.doGet (WebProcessingServic
e.java:280) at javax.servlet.http.HttpServlet.service (HttpServlet.java:620) at org.gcube.data.anal
ysis.wps.WebProcessingService.service (WebProcessingService.java:406) at javax.servlet.http.HttpSer
vlet.service (HttpServlet.java:727) at org.apache.catalina.core.ApplicationFilterChain.internalDoFi
lter (ApplicationFilterChain.java:303) at org.apache.catalina.core.ApplicationFilterChain.doFilter (
ApplicationFilterChain. java:208) at com.thetransactioncompany.cors.CORSFilter.doFilter (CORSFilter.
java:169) at com.thetransactioncompany.cors.CORSFilter.doFilter (CORSFilter.java:232) at org.apache
.catalina.core.ApplicationFilterChain.internalDoFilter (ApplicationFilterChain. java:241) at org.apa
che.catalina.core.ApplicationFilterChain.doFilter (ApplicationFilterChain. java:208) at org.gcube.sm
artgears.managers.RequestManager.doFilter (RequestManager. java:95) at org.apache.catalina.core.Appl
icationFilterChain.internalDoFilter (ApplicationFilterChain. java:241) at org.apache.catalina.core.A
pplicationFilterChain.doFilter (ApplicationFilterChain. java:208) at org.apache.catalina.core.Standa
rdWrapperValve.invoke (StandardWrapperValve. java:220) at org.apache.catalina.core.StandardContextVa
lve.invoke (StandardContextValve. java:122) at org.apache.catalina.authenticator.AuthenticatorBase.i
nvoke (AuthenticatorBase.java:501) at org.apache.catalina.core.StandardHostValve.invoke (StandardHos
tValve.java:170) at org.apache.catalina.valves.ErrorReportValve.invoke (ErrorReportValve. java:98) a
t org.apache.catalina.valves.AccessLogValve.invoke (AccessLogValve. java:950) at org.apache.catalina
.valves.RemoteIpValve.invoke (RemoteIpValve. java:683) at org.apache.catalina.core.StandardEngineVal
ve.invoke (StandardEngineValve. java:116) at org.apache.catalina.connector.CoyoteAdapter.service (Coy
oteAdapter.java:408) at org.apache.coyote.httpll.AbstractHttpllProcessor.process (AbstractHttpllPro
cessor.java:1041) at org.apache.coyote.AbstractProtocolS$AbstractConnectionHandler.process (Abstract
Protocol.java:607) at org.apache.tomcat.util.net.JIoEndpointS$SocketProcessor.run (JIoEndpoint. java:
313) at java.util.concurrent.ThreadPoolExecutor.runWorker (ThreadPoolExecutor.java:1149) at java.ut
il.concurrent.ThreadPoolExecutor$SWorker.run (ThreadPoolExecutor. java:624) at java.lang.Thread.run (T
hread. java:748)

</ows:ExceptionText>

</ows:Exception>

<ows:Exception exceptionCode="JAVA_RootCause"/>

</ows:ExceptionReport>

History

#1 - Apr 19, 2018 02:57 PM - Debhsish Bhakta

- Assignee changed from _InfraScience Systems Engineer to Pasquale Pagano
#2 - Apr 19, 2018 04:34 PM - Andrea Dell'Amico

- Assignee changed from Pasquale Pagano to Giancarlo Panichi

#3 - Apr 19, 2018 04:44 PM - Giancarlo Panichi
- Status changed from New to Feedback

- Assignee changed from Giancarlo Panichi to Debhsish Bhakta

Please @debhasish.bhakta@grida.no , can you give us more information about the http call that you are doing from the webapp and the description
of the algorithm that you are using?
Thanks

#4 - Apr 19, 2018 04:57 PM - Roberto Cirillo

From your stacktrace seems that the service parameter is missing. Please, could you check if the service parameter is present in your request?

#5 - Apr 20, 2018 09:36 AM - Debhsish Bhakta
- File Greek_MPAs.zip added

- Priority changed from Immediate to High

I am trying with a zip shapefile (file attached) by selecting NAME as an input parameter and the process fail with 500 error message.
But in data miner, with the same shapefile and the process completed without error.

#6 - Apr 20, 2018 09:57 AM - Giancarlo Panichi

Hi @debhasish.bhakta@grida.no, as suggested by Roberto seems to be missing in your call http the parameter:
e service = WPS

For example this could be a valid call:

http://dataminer.garr.d4science.org/wps/WebProcessingService?request=Execute&service=WPS&Version=1.0.0&gcube-t

oken= &lang=en-US&Identifier=org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mapped
classes.transducerers.MPA_INTERSECT_V4_l&DatalInputs=MPA_Shapefile_Url=https$3A%2F%2Fabsences.zip;Field_name=na
me;Marine_Boundary=EEZ;Region_Id=NA; Selected_Data_Feature=NA;Report_Format=csv;

That's why it works from Dataminer and not from webapp.
Please, check your http call.

#7 - Apr 20, 2018 10:01 AM - Emmanuel Blondel
- Status changed from Feedback to In Progress
- Assignee changed from Debhsish Bhakta to Emmanuel Blondel

- Priority changed from High to Urgent

I'm going to assist Debhasish on this. The web-app so far was working with custom shapefiles we used in FAO, and the web-app extensively used yet
since months, so we can exclude an issue with the way the WPS call is performed. At first view, | suspect a peculiarity of the shapefile used by
Debhasish that breaks the algorithm.

#8 - Apr 20, 2018 11:14 AM - Emmanuel Blondel
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

The algorithm is now working properly. Further control and a small fix have been added on shapefiles field names.

#9 - Apr 20, 2018 11:17 AM - Giancarlo Panichi
- Due date set to Apr 20, 2018

Files
log.png 53.1 KB Apr 18,2018 Debhsish Bhakta
Greek_MPAs.zip 2.42 MB Apr 20, 2018 Debhsish Bhakta

Dec 14, 2025 22


http://www.tcpdf.org

